package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同 上传变更合同的签署人信息
 * </p>
 *
 * @author liutao
 * @since 2023-03-27
 */
@TableName("upload_purch_contract_supplement_signer")
public class UploadPurchContractSupplementSigner extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同-上传合同的信息Id
     */
    @TableField("upload_purch_supplement_contract_id")
    private Long uploadPurchContractId;

    /**
     * 签署人名称
     */
    @TableField("signer_name")
    private String signerName;

    /**
     * 签署人统一代码
     */
    @TableField("signer_social_credit_code")
    private String signerSocialCreditCode;

    public Long getUploadPurchContractId() {
        return uploadPurchContractId;
    }

    public void setUploadPurchContractId(Long uploadPurchContractId) {
        this.uploadPurchContractId = uploadPurchContractId;
    }
    public String getSignerName() {
        return signerName;
    }

    public void setSignerName(String signerName) {
        this.signerName = signerName;
    }
    public String getSignerSocialCreditCode() {
        return signerSocialCreditCode;
    }

    public void setSignerSocialCreditCode(String signerSocialCreditCode) {
        this.signerSocialCreditCode = signerSocialCreditCode;
    }

    @Override
    public String toString() {
        return "UploadPurchContractSupplementSigner{" +
            "uploadPurchContractId=" + uploadPurchContractId +
            ", signerName=" + signerName +
            ", signerSocialCreditCode=" + signerSocialCreditCode +
        "}";
    }
}
